Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager
Class RepositoryConfig

    java.lang.Object
      com.bea.content.manager.RepositoryConfig

All Implemented Interfaces
  Serializable, Cloneable

    public class RepositoryConfig

extends Object
implements Serializable, Cloneable

Represents the configuration of a content repository. Each Repository may have specific properties that are necessary in order to be properly configured. Please see the specific repositories documentation for configuration information.

****************WARNING****************

When getting binaries from the BEA Repository (including both a binary Node Property and also a binary PropertyChoice) the default is to return the InputStream as a ByteArrayInputStream, thus consuming server memory until the bytes are released. If your application will be reading in very large files, you may switch to streaming mode. This means that the InputStream returned may read directly from a database resource, depending on the database or driver. This is accomplished by creating a property on the RepositoryConfig called "STREAMING_ENABLED" with the value set to "true". To disable streaming you must remove the "STREAMING_ENABLED" property entirely. Switching to streaming mode must be done with caution as it places additional requirements on developers using the api. The issue is that the InputStream through a BLOB, may be attached to a database connection (or other transactional resource). The use of this stream must therefore be within the context of a transaction to ensure that it is isolated from uses by other threads, etc. If you don't begin a UserTransaction before calling this method and then either commit or rollback the tx after you close the InputStream, the connection may go back to the WLS connection Pool and will be reused by another thread. This will lead to deadlocking the server. All of the BEA code that uses the api (tags, servlets, portlets and admin tools) are all protected through the use of a transaction. For those that are calling the API directly, here is an example of wrapping the call in a tx with exception handling left out

     try {
         Context initCtx = new InitialContext();
         tx = (UserTransaction)initCtx.lookup( "java:comp/UserTransaction" );
         tx.setTransactionTimeout( transactionTimeout );
         tx.begin();
         // This is deprecated now.
         // bytes = nodeOps.getPropertyBytes(nodeId, propertyId);
         bytes = INodeManager.getStream(context, nodeId, propertyId);
         // empty the bytes
     } finally {
         // make sure to close InputStream
         if ( bytes != null ) {
             bytes.close();
         }
         if ( tx != null ) {
             switch ( tx.getStatus() ) {
                 case Status.STATUS_ACTIVE:
                     tx.commit();
                     break;
                 case Status.STATUS_MARKED_ROLLBACK:
                     tx.rollback();
                     break;
                 default:
                     // this is bad - an unexpected status
                     // throw exception
                     break;
             }
         }
     }

An example of creating a default RepositoryConfig (which can also be done via new RepositoryConfig("repoName")) is:

         RepositoryConfig repoConfig = new RepositoryConfig("repoName", DEFAULT_CLASS_NAME, new Properties());

Repository properties may be set when constructing the configuration. Property names and values are unique to the repository being configured. Well-known repository properties are represented by constants in this class with the naming convention `*_KEY`. Set the property on the properties object used by the RepositoryConfig such as:

         Properties props = new Properties();
         props.setProperty(FILESYSTEM_DIRECTORY_KEY, "/path/to/files");

The configuration may be persisted using the `IVirtualRepositoryManager.createRepositoryConfig(com.bea.content.ContentContext, RepositoryConfig)` and `IVirtualRepositoryManager.updateRepositoryConfig(com.bea.content.ContentContext, RepositoryConfig)` methods. Such as:

         IVirtualRepositoryManager repoManager = COntentManagerFactory.getVirtualRepositoryManager();
         repoManager.createRepositoryConfig(context, repoConfig);

There is one other way to specify repository configuration details. This is accomplished using the content-config.xml descriptor and is documented with the WLP documentation on edocs. This is done for a repository configuration specific to an application and that configuration is deployed with the application. The API to create a configuration is provided when dynamic creation is appropriate for the application. The API to update a configuration will work against both configurations created by the API and present in the content-config.xml deployment descriptor. Changes made to a configuration present in the descriptor will be altered using a deployment plan (see the WLS documentation for details on this process) and will not be directly reflected in the content-config.xml deployment descriptor file in your application.

See Also
  Serialized Form

Field Summary
`static boolean` | `DEFAULT_BINARY_CACHE_IS_ENABLED` Default value to enable the binary cache.
`static int` | `DEFAULT_BINARY_CACHE_MAX_ENTRIES` Default value for the binary cache max-entries.
`static long` | `DEFAULT_BINARY_CACHE_MAX_ENTRY_SIZE` Default value in bytes for the binary cache max value size.
`static long` | `DEFAULT_BINARY_CACHE_TTL` Default value for the binary cache time-to-live.
`static String` | `DEFAULT_CLASS_NAME` The repository connection class for the BEA Repository.
`static String` | `DEFAULT_EXPLICIT_CACHE_IS_ENABLED`
`static String` | `DEFAULT_EXPLICIT_CACHE_MAX_ENTRIES` Default values for the explicit properties cache
`static String` | `DEFAULT_EXPLICIT_CACHE_TTL`
`static boolean` | `DEFAULT_FULLTEXT_SEARCH_IS_ENABLED` Default value to enable full-text search query support.
`static boolean` | `DEFAULT_NODE_CACHE_IS_ENABLED` Default value to enable the node cache.
`static int` | `DEFAULT_NODE_CACHE_MAX_ENTRIES` Default value for the node cache max-entries.
`static long` | `DEFAULT_NODE_CACHE_TTL` Default value for the node cache time-to-live.
`static String` | `DEFAULT_NODE_OPS_HOME` Deprecated No longer used.
`static String` | `DEFAULT_OBJECT_CLASS_OPS_HOME` Deprecated No longer used.
`static boolean` | `DEFAULT_READ_ONLY` Default value for the read-only flag on the repository configuration.
`static String` | `DEFAULT_REPO_BINARY_CACHE_IS_ENABLED` The default value used to determine if the BEA Repository binary cache is enabled.
`static String` | `DEFAULT_REPO_BINARY_CACHE_MAX_ENTRIES` The default number of entries in the BEA Repository binary cache.
`static String` | `DEFAULT_REPO_BINARY_CACHE_MAX_ENTRY_SIZE` The default maximum size of entries in the BEA Repository binary cache.
`static String` | `DEFAULT_REPO_BINARY_CACHE_TTL` The default Time to live for entries in the BEA Repository binary cache.
`static String` | `DEFAULT_REPO_NODE_CACHE_IS_ENABLED` The default value used to determine if the BEA Repository Node Cache is enabled.
`static String` | `DEFAULT_REPO_NODE_CACHE_MAX_ENTRIES` The default number of nodes to cache in the BEA Repository Node Cache.
`static String` | `DEFAULT_REPO_NODE_CACHE_TTL` The default Time to live for nodes in the BEA Repository Node Cache.
`static String` | `DEFAULT_REPO_TYPE_CACHE_IS_ENABLED` The default value used to determine if the BEA Repository Type Cache is enabled.
`static String` | `DEFAULT_REPO_TYPE_CACHE_MAX_ENTRIES` The default number of types to cache in the BEA Repository Type Cache.
`static String` | `DEFAULT_REPO_TYPE_CACHE_TTL` The default Time to live for types in the BEA Repository Type Cache.
`static boolean` | `DEFAULT_SEARCH_CACHE_ENABLED` Default value to enable the search cache.
`static boolean` | `DEFAULT_SEARCH_INDEXING_IS_ENABLED` Default value to enable full-text search indexing support.
`static boolean` | `DEFAULT_SEARCH_IS_ENABLED` Default value to enable meta-data search query support.
`static String` | `DEFAULT_SEARCH_OPS_HOME` Deprecated No longer used.
`static boolean` | `DEFAULT_TYPE_CACHE_IS_ENABLED` Default value to enable the VCR type cache.
`static int` | `DEFAULT_TYPE_CACHE_MAX_ENTRIES` Default value for the VCR type cache max-entries.
`static long` | `DEFAULT_TYPE_CACHE_TTL` Default value for the VCR type cache time-to-live.
`static String` | `EXPLICIT_CACHE_IS_ENABLED_KEY`
`static String` | `EXPLICIT_CACHE_MAX_ENTRIES_KEY` Repository property keys for explicit properties cache
`static String` | `EXPLICIT_CACHE_TTL_KEY`
`static String` | `FEDERATED_EVENTS_ENABLED_KEY` used to determine if events are fired for this repository at the federated layer or not
`static String` | `FILESYSTEM_CLASS_NAME` The repository connection class for the BEA Filesystem Repository.
`static String` | `FILESYSTEM_DIRECTORY_KEY` the shared drive location of the file system
`static String` | `FILESYSTEM_IS_LINKED` used to see if the current file system is linked or not.
`static String` | `FILESYSTEM_NIO` whether or not we want to allow nio for a filesystem read
`static String` | `FILESYSTEM_TEMP_DIR_KEY`
`static String` | `FILESYSTEM_WEBAPP_KEY` optional - the webapp location of the file system used by showBinaryServlet, getPropertyTag etc
`static String` | `FOLDER_BADGES_KEY` Used for third-party repositories to specify list of ObjectClasses that will represent a "badged folder".
`static String` | `FULLTEXT_SEARCH_INDEX_LANGUAGE_TYPE_KEY` The repository property key for the full text search index language type
`static String` | `FULLTEXT_SEARCH_QUERY_ANY_LANGUAGE_KEY` The repository property key for the full text search query any language setting
`static String` | `FULLTEXT_SEARCH_QUERY_LANGUAGE_TYPE_KEY` The repository property key for the full text search query language type
`static String` | `MANAGEMENT_ENABLED_KEY` The repository configuration property key to enable management (library services).
`static String` | `REPO_BINARY_CACHE_IS_ENABLED_KEY` The repository property key for the BEA Repository binary Cache Enabled flag.
`static String` | `REPO_BINARY_CACHE_MAX_ENTRIES_KEY` The repository property key for the BEA Repository binary Cache Max Entries value.
`static String` | `REPO_BINARY_CACHE_MAX_ENTRY_SIZE_KEY` The repository property key for the BEA Repository binary cache max entry size value.
`static String` | `REPO_BINARY_CACHE_TTL_KEY` The repository property key for the BEA Repository binary Cache TTL value.
`static String` | `REPO_NODE_CACHE_IS_ENABLED_KEY` The repository property key for the BEA Repository Node Cache Enabled flag.
`static String` | `REPO_NODE_CACHE_MAX_ENTRIES_KEY` The repository property key for the BEA Repository Node Cache Max Entries value.
`static String` | `REPO_NODE_CACHE_TTL_KEY` The repository property key for the BEA Repository Node Cache TTL value.
`static String` | `REPO_TYPE_CACHE_IS_ENABLED_KEY` The repository property key for the BEA Repository Type Cache Enabled flag.
`static String` | `REPO_TYPE_CACHE_MAX_ENTRIES_KEY` The repository property key for the BEA Repository Type Cache Max Entries value.
`static String` | `REPO_TYPE_CACHE_TTL_KEY` The repository property key for the BEA Repository Type Cache TTL value.
`static String` | `REPO_VALIDATION_KEY` The repository property key for repository validation.
`static String` | `REPOSITORY_EVENTS_ENABLED_KEY` used to determine if events are fired for this repository or not.
`static String` | `SEARCH_VALIDATION_KEY` The repository property key for Search syntax validation.
`static String` | `STREAMING_ENABLED_KEY` The repository configuration property key to enable streaming.
`static String[]` | `SYSTEM_PROPERTY_KEYS` An array of the system property keys which can be set for a repository configuration.
`static String` | `VCR_VALIDATION_KEY` The repository property key for VCR validation.
`static String` | `WEBDAV_DREAMWEAVER_SUPPORT` System Property key for WEBDAV_DREAMWEAVER_SUPPORT.

Constructor Summary
`RepositoryConfig(String name)` Constructs an instance with just the given name using the defined DEFAULTS for other attributes.
`RepositoryConfig(String name, String className, Properties properties)` Constructs an instance with just name, className and properties using the defined DEFAULTS for other attributes.
`RepositoryConfig(String name, String className, Properties properties, String userName, String password, boolean readOnly, int nodeCacheMaxEntries, long nodeCacheTtl, boolean nodeCacheIsEnabled, int binaryCacheMaxEntries, long binaryCacheMaxEntrySize, long binaryCacheTtl, boolean binaryCacheIsEnabled)` Deprecated
`RepositoryConfig(String name, String className, Properties properties, String userName, String password, boolean readOnly, int nodeCacheMaxEntries, long nodeCacheTtl, boolean nodeCacheIsEnabled, int binaryCacheMaxEntries, long binaryCacheMaxEntrySize, long binaryCacheTtl, boolean binaryCacheIsEnabled, boolean searchIsEnabled)` Constructs an instance using all attributes.
`RepositoryConfig(String name, String className, Properties properties, String userName, String password, boolean readOnly, int nodeCacheMaxEntries, long nodeCacheTtl, boolean nodeCacheIsEnabled, int binaryCacheMaxEntries, long binaryCacheMaxEntrySize, long binaryCacheTtl, boolean binaryCacheIsEnabled, boolean searchIsEnabled, boolean searchIndexingEnabled, boolean fullTextSearchIsEnabled)` Construct a repository config.

Method Summary
`RepositoryConfig` | `clone()` Clone this
`boolean` | `getBinaryCacheIsEnabled()` Gets the active state for the binary cache of a repository.
`int` | `getBinaryCacheMaxEntries()` Gets the max entries for the binary cache of a repository.
`long` | `getBinaryCacheMaxEntrySize()` Gets the max size for the binary cache of a repository.
`long` | `getBinaryCacheTtl()` Gets the time-to-live for entries in a binary cache of a repository.
`String` | `getClassName()` The class that implements com.bea.content.repostiory.Repository.
`String` | `getFulltextSearchIndexLanguageType()` Retrieves the full-text search index language type, or null if it is not set.
`boolean` | `getFulltextSearchIsEnabled()` Returns true if fulltext searches are allowed for this repository.
`Boolean` | `getFulltextSearchQueryAnyLanguage()` Retrieves the full-text-search query any lanuage setting, or null if it is not set.
`String` | `getFulltextSearchQueryLanguageType()` Retrieves the full-text search query language type, or null if it is not set.
`String` | `getName()` The name of the Repository.
`boolean` | `getNodeCacheIsEnabled()` Gets the active state for the node cache of a repository.
`int` | `getNodeCacheMaxEntries()` Gets the max entries for the node cache of a repository.
`long` | `getNodeCacheTtl()` Gets the time-to-live for entries in a node cache of a repository.
`String` | `getPassword()` Gets the password for the repository.
`Properties` | `getProperties()` Gets the configuration properties for the repository.
`boolean` | `getReadOnly()` Gets the read-only attribute for the repository.
`boolean` | `getSearchIndexingIsEnabled()` Returns true if this repository will index items into its full text search index.
`boolean` | `getSearchIsEnabled()` Returns true if metadata searches are allowed for this repository.
`static List<String>` | `getSystemPropertyKeys()` Return the default unmodifiable list of system property keys
`boolean` | `getTypeCacheIsEnabled()` Gets the active state for the type cache of a repository.
`int` | `getTypeCacheMaxEntries()` Gets the max entries for the type cache of a repository.
`long` | `getTypeCacheTtl()` Gets the time-to-live for entries in a type cache of a repository.
`String` | `getUserName()` Gets the username for the repository.
`boolean` | `isManaged()` True if this repository is versionable, false otherwise.
`boolean` | `isStreamable()` True if this repository has enabled streaming support for binary data.
`void` | `setBinaryCacheIsEnabled(boolean binaryCacheIsEnabled)`
`void` | `setBinaryCacheMaxEntries(int binaryCacheMaxEntries)` Sets the binary cache max entries
`void` | `setBinaryCacheMaxEntrySize(long binaryCacheMaxEntrySize)` Sets the binary cache max entry size in bytes.
`void` | `setBinaryCacheTtl(long binaryCacheTtl)` Sets the binary cache time to live
`void` | `setClassName(String className)` Set the className of the repository.
`void` | `setFulltextSearchIsEnabled(boolean fulltextSearchIsEnabled)` Sets whether or not this repository is fulltext searchable via the search API.
`void` | `setNodeCacheIsEnabled(boolean nodeCacheIsEnabled)` Sets whether or not the node cache is enabled for the repository
`void` | `setNodeCacheMaxEntries(int nodeCacheMaxEntries)` Sets the ndoe cache max entires for the repository
`void` | `setNodeCacheTtl(long nodeCacheTtl)` Sets the node cache time to live for the repo
`void` | `setPassword(String password)` Sets the password
`void` | `setProperties(Properties properties)` Sets the properties for the repository config
`void` | `setReadOnly(boolean readOnly)` Sets the readOnly attribute of the repository
`void` | `setSearchIndexingIsEnabled(boolean searchIndexingIsEnabled)` Sets whether or not this repository is indexing content into its full text search index.
`void` | `setSearchIsEnabled(boolean searchIsEnabled)` Sets whether or not this repository is metadata searchable via the search API.
`void` | `setUserName(String userName)` Sets the user name
`String` | `toString()` Gets attributes as String.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_CLASS_NAME

    public static final String DEFAULT_CLASS_NAME

  The repository connection class for the BEA Repository.

  See Also
    Constants Summary

### FILESYSTEM_CLASS_NAME

    public static final String FILESYSTEM_CLASS_NAME

  The repository connection class for the BEA Filesystem Repository.

  See Also
    Constants Summary

### DEFAULT_OBJECT_CLASS_OPS_HOME

    @Deprecated
    public static final String DEFAULT_OBJECT_CLASS_OPS_HOME

  Deprecated No longer used.
  See Also
    Constants Summary

### DEFAULT_NODE_OPS_HOME

    @Deprecated
    public static final String DEFAULT_NODE_OPS_HOME

  Deprecated No longer used.
  See Also
    Constants Summary

### DEFAULT_SEARCH_OPS_HOME

    @Deprecated
    public static final String DEFAULT_SEARCH_OPS_HOME

  Deprecated No longer used.
  See Also
    Constants Summary

### DEFAULT_READ_ONLY

    public static final boolean DEFAULT_READ_ONLY

  Default value for the read-only flag on the repository configuration.

  See Also
    Constants Summary

### DEFAULT_NODE_CACHE_MAX_ENTRIES

    public static final int DEFAULT_NODE_CACHE_MAX_ENTRIES

  Default value for the node cache max-entries.

  See Also
    Constants Summary

### DEFAULT_NODE_CACHE_TTL

    public static final long DEFAULT_NODE_CACHE_TTL

  Default value for the node cache time-to-live.

  See Also
    Constants Summary

### DEFAULT_NODE_CACHE_IS_ENABLED

    public static final boolean DEFAULT_NODE_CACHE_IS_ENABLED

  Default value to enable the node cache.

  See Also
    Constants Summary

### DEFAULT_TYPE_CACHE_MAX_ENTRIES

    public static final int DEFAULT_TYPE_CACHE_MAX_ENTRIES

  Default value for the VCR type cache max-entries.

  See Also
    Constants Summary

### DEFAULT_TYPE_CACHE_TTL

    public static final long DEFAULT_TYPE_CACHE_TTL

  Default value for the VCR type cache time-to-live.

  See Also
    Constants Summary

### DEFAULT_TYPE_CACHE_IS_ENABLED

    public static final boolean DEFAULT_TYPE_CACHE_IS_ENABLED

  Default value to enable the VCR type cache.

  See Also
    Constants Summary

### DEFAULT_BINARY_CACHE_MAX_ENTRIES

    public static final int DEFAULT_BINARY_CACHE_MAX_ENTRIES

  Default value for the binary cache max-entries.

  See Also
    Constants Summary

### DEFAULT_BINARY_CACHE_MAX_ENTRY_SIZE

    public static final long DEFAULT_BINARY_CACHE_MAX_ENTRY_SIZE

  Default value in bytes for the binary cache max value size.

  See Also
    Constants Summary

### DEFAULT_BINARY_CACHE_TTL

    public static final long DEFAULT_BINARY_CACHE_TTL

  Default value for the binary cache time-to-live.

  See Also
    Constants Summary

### DEFAULT_BINARY_CACHE_IS_ENABLED

    public static final boolean DEFAULT_BINARY_CACHE_IS_ENABLED

  Default value to enable the binary cache.

  See Also
    Constants Summary

### DEFAULT_SEARCH_IS_ENABLED

    public static final boolean DEFAULT_SEARCH_IS_ENABLED

  Default value to enable meta-data search query support.

  See Also
    Constants Summary

### DEFAULT_FULLTEXT_SEARCH_IS_ENABLED

    public static final boolean DEFAULT_FULLTEXT_SEARCH_IS_ENABLED

  Default value to enable full-text search query support.

  See Also
    Constants Summary

### DEFAULT_SEARCH_INDEXING_IS_ENABLED

    public static final boolean DEFAULT_SEARCH_INDEXING_IS_ENABLED

  Default value to enable full-text search indexing support.

  See Also
    Constants Summary

### FULLTEXT_SEARCH_INDEX_LANGUAGE_TYPE_KEY

    public static final String FULLTEXT_SEARCH_INDEX_LANGUAGE_TYPE_KEY

  The repository property key for the full text search index language type

  See Also
    Constants Summary

### FULLTEXT_SEARCH_QUERY_LANGUAGE_TYPE_KEY

    public static final String FULLTEXT_SEARCH_QUERY_LANGUAGE_TYPE_KEY

  The repository property key for the full text search query language type

  See Also
    Constants Summary

### FULLTEXT_SEARCH_QUERY_ANY_LANGUAGE_KEY

    public static final String FULLTEXT_SEARCH_QUERY_ANY_LANGUAGE_KEY

  The repository property key for the full text search query any language setting

  See Also
    Constants Summary

### WEBDAV_DREAMWEAVER_SUPPORT

    public static final String WEBDAV_DREAMWEAVER_SUPPORT

  System Property key for WEBDAV_DREAMWEAVER_SUPPORT. If set to true, webdav will work in dreamweaver

  See Also
    Constants Summary

### DEFAULT_SEARCH_CACHE_ENABLED

    public static final boolean DEFAULT_SEARCH_CACHE_ENABLED

  Default value to enable the search cache.

  See Also
    Constants Summary

### DEFAULT_EXPLICIT_CACHE_MAX_ENTRIES

    public static final String DEFAULT_EXPLICIT_CACHE_MAX_ENTRIES

  Default values for the explicit properties cache

  See Also
    Constants Summary

### DEFAULT_EXPLICIT_CACHE_TTL

    public static final String DEFAULT_EXPLICIT_CACHE_TTL

See Also
  Constants Summary

### DEFAULT_EXPLICIT_CACHE_IS_ENABLED

    public static final String DEFAULT_EXPLICIT_CACHE_IS_ENABLED

See Also
  Constants Summary

### EXPLICIT_CACHE_MAX_ENTRIES_KEY

    public static final String EXPLICIT_CACHE_MAX_ENTRIES_KEY

  Repository property keys for explicit properties cache

  See Also
    Constants Summary

### EXPLICIT_CACHE_TTL_KEY

    public static final String EXPLICIT_CACHE_TTL_KEY

See Also
  Constants Summary

### EXPLICIT_CACHE_IS_ENABLED_KEY

    public static final String EXPLICIT_CACHE_IS_ENABLED_KEY

See Also
  Constants Summary

### REPO_TYPE_CACHE_MAX_ENTRIES_KEY

    public static final String REPO_TYPE_CACHE_MAX_ENTRIES_KEY

  The repository property key for the BEA Repository Type Cache Max Entries value.

  See Also
    Constants Summary

### DEFAULT_REPO_TYPE_CACHE_MAX_ENTRIES

    public static final String DEFAULT_REPO_TYPE_CACHE_MAX_ENTRIES

  The default number of types to cache in the BEA Repository Type Cache.

  See Also
    Constants Summary

### REPO_TYPE_CACHE_TTL_KEY

    public static final String REPO_TYPE_CACHE_TTL_KEY

  The repository property key for the BEA Repository Type Cache TTL value.

  See Also
    Constants Summary

### DEFAULT_REPO_TYPE_CACHE_TTL

    public static final String DEFAULT_REPO_TYPE_CACHE_TTL

  The default Time to live for types in the BEA Repository Type Cache.

  See Also
    Constants Summary

### REPO_TYPE_CACHE_IS_ENABLED_KEY

    public static final String REPO_TYPE_CACHE_IS_ENABLED_KEY

  The repository property key for the BEA Repository Type Cache Enabled flag.

  See Also
    Constants Summary

### DEFAULT_REPO_TYPE_CACHE_IS_ENABLED

    public static final String DEFAULT_REPO_TYPE_CACHE_IS_ENABLED

  The default value used to determine if the BEA Repository Type Cache is enabled.

  See Also
    Constants Summary

### REPO_NODE_CACHE_MAX_ENTRIES_KEY

    public static final String REPO_NODE_CACHE_MAX_ENTRIES_KEY

  The repository property key for the BEA Repository Node Cache Max Entries value.

  See Also
    Constants Summary

### DEFAULT_REPO_NODE_CACHE_MAX_ENTRIES

    public static final String DEFAULT_REPO_NODE_CACHE_MAX_ENTRIES

  The default number of nodes to cache in the BEA Repository Node Cache.

  See Also
    Constants Summary

### REPO_NODE_CACHE_TTL_KEY

    public static final String REPO_NODE_CACHE_TTL_KEY

  The repository property key for the BEA Repository Node Cache TTL value.

  See Also
    Constants Summary

### DEFAULT_REPO_NODE_CACHE_TTL

    public static final String DEFAULT_REPO_NODE_CACHE_TTL

  The default Time to live for nodes in the BEA Repository Node Cache.

  See Also
    Constants Summary

### REPO_NODE_CACHE_IS_ENABLED_KEY

    public static final String REPO_NODE_CACHE_IS_ENABLED_KEY

  The repository property key for the BEA Repository Node Cache Enabled flag.

  See Also
    Constants Summary

### DEFAULT_REPO_NODE_CACHE_IS_ENABLED

    public static final String DEFAULT_REPO_NODE_CACHE_IS_ENABLED

  The default value used to determine if the BEA Repository Node Cache is enabled.

  See Also
    Constants Summary

### REPO_BINARY_CACHE_MAX_ENTRIES_KEY

    public static final String REPO_BINARY_CACHE_MAX_ENTRIES_KEY

  The repository property key for the BEA Repository binary Cache Max Entries value.

  See Also
    Constants Summary

### DEFAULT_REPO_BINARY_CACHE_MAX_ENTRIES

    public static final String DEFAULT_REPO_BINARY_CACHE_MAX_ENTRIES

  The default number of entries in the BEA Repository binary cache.

  See Also
    Constants Summary

### REPO_BINARY_CACHE_MAX_ENTRY_SIZE_KEY

    public static final String REPO_BINARY_CACHE_MAX_ENTRY_SIZE_KEY

  The repository property key for the BEA Repository binary cache max entry size value.

  See Also
    Constants Summary

### DEFAULT_REPO_BINARY_CACHE_MAX_ENTRY_SIZE

    public static final String DEFAULT_REPO_BINARY_CACHE_MAX_ENTRY_SIZE

  The default maximum size of entries in the BEA Repository binary cache.

  See Also
    Constants Summary

### REPO_BINARY_CACHE_TTL_KEY

    public static final String REPO_BINARY_CACHE_TTL_KEY

  The repository property key for the BEA Repository binary Cache TTL value.

  See Also
    Constants Summary

### DEFAULT_REPO_BINARY_CACHE_TTL

    public static final String DEFAULT_REPO_BINARY_CACHE_TTL

  The default Time to live for entries in the BEA Repository binary cache.

  See Also
    Constants Summary

### REPO_BINARY_CACHE_IS_ENABLED_KEY

    public static final String REPO_BINARY_CACHE_IS_ENABLED_KEY

  The repository property key for the BEA Repository binary Cache Enabled flag.

  See Also
    Constants Summary

### DEFAULT_REPO_BINARY_CACHE_IS_ENABLED

    public static final String DEFAULT_REPO_BINARY_CACHE_IS_ENABLED

  The default value used to determine if the BEA Repository binary cache is enabled.

  See Also
    Constants Summary

### STREAMING_ENABLED_KEY

    public static final String STREAMING_ENABLED_KEY

  The repository configuration property key to enable streaming.

  See Also
    Constants Summary

### MANAGEMENT_ENABLED_KEY

    public static final String MANAGEMENT_ENABLED_KEY

  The repository configuration property key to enable management (library services).

  See Also
    Constants Summary

### FILESYSTEM_DIRECTORY_KEY

    public static final String FILESYSTEM_DIRECTORY_KEY

  the shared drive location of the file system

  See Also
    Constants Summary

### FILESYSTEM_TEMP_DIR_KEY

    public static final String FILESYSTEM_TEMP_DIR_KEY

See Also
  Constants Summary

### FILESYSTEM_WEBAPP_KEY

    public static final String FILESYSTEM_WEBAPP_KEY

  optional - the webapp location of the file system used by showBinaryServlet, getPropertyTag etc

  See Also
    Constants Summary

### FILESYSTEM_IS_LINKED

    public static final String FILESYSTEM_IS_LINKED

  used to see if the current file system is linked or not. If it is, then new nodes will point to the ones already existing in the filesystem.

  See Also
    Constants Summary

### FILESYSTEM_NIO

    public static final String FILESYSTEM_NIO

  whether or not we want to allow nio for a filesystem read

  See Also
    Constants Summary

### FEDERATED_EVENTS_ENABLED_KEY

    public static final String FEDERATED_EVENTS_ENABLED_KEY

  used to determine if events are fired for this repository at the federated layer or not

  See Also
    Constants Summary

### REPOSITORY_EVENTS_ENABLED_KEY

    public static final String REPOSITORY_EVENTS_ENABLED_KEY

  used to determine if events are fired for this repository or not. The BEA repository relies on this field, other SPI implementations may not.

  See Also
    Constants Summary

### FOLDER_BADGES_KEY

    public static final String FOLDER_BADGES_KEY

  Used for third-party repositories to specify list of ObjectClasses that will represent a "badged folder".

  See Also
    Constants Summary

### REPO_VALIDATION_KEY

    public static final String REPO_VALIDATION_KEY

  The repository property key for repository validation. When enabled, the VCR will perform additional validation on return values received from a repository.

  See Also
    Constants Summary

### VCR_VALIDATION_KEY

    public static final String VCR_VALIDATION_KEY

  The repository property key for VCR validation. When enabled, the VCR will perform additional validation on values before passing them to a repository.

  See Also
    Constants Summary

### SEARCH_VALIDATION_KEY

    public static final String SEARCH_VALIDATION_KEY

  The repository property key for Search syntax validation. When enabled, the the search criteria will be validated before continuing the search.

  See Also
    Constants Summary

### SYSTEM_PROPERTY_KEYS

    public static final String[] SYSTEM_PROPERTY_KEYS

  An array of the system property keys which can be set for a repository configuration.

Constructor Detail

### RepositoryConfig

    public RepositoryConfig(String name)

  Constructs an instance with just the given name using the defined DEFAULTS for other attributes.

  Parameters
    `name` - The name of the repository configuration.

### RepositoryConfig

    public RepositoryConfig(String name,
                            String className,
                            Properties properties)

  Constructs an instance with just name, className and properties using the defined DEFAULTS for other attributes.

  Parameters
    `name` - The name of the repository configuration.
    `className` - The class name for the repository connection.
    `properties` - The properties for this configuration.

### RepositoryConfig

    @Deprecated
    public RepositoryConfig(String name,
                                       String className,
                                       Properties properties,
                                       String userName,
                                       String password,
                                       boolean readOnly,
                                       int nodeCacheMaxEntries,
                                       long nodeCacheTtl,
                                       boolean nodeCacheIsEnabled,
                                       int binaryCacheMaxEntries,
                                       long binaryCacheMaxEntrySize,
                                       long binaryCacheTtl,
                                       boolean binaryCacheIsEnabled)

  Deprecated

  Constructs an instance using all attributes.

  Parameters
    `name` - The name of the repository configuration.
    `className` - The class name for the repository connection.
    `properties` - The properties for this configuration.
    `userName` - The username to use when connecting to this repository.
    `password` - The password to use when connecting to this repository.
    `readOnly` - True if this repository is read-only.
    `nodeCacheMaxEntries` - The maximum number of entries in the node cache for this repository.
    `nodeCacheTtl` - The time-to-live value for this repository's node cache.
    `nodeCacheIsEnabled` - True if the node cache is enabled for this repository.
    `binaryCacheMaxEntries` - The maximum number of entries in the binary cache for this repository.
    `binaryCacheMaxEntrySize` - The maximum size of a binary value in the binary cache for this repository.
    `binaryCacheTtl` - The time-to-live value for this repository's binary cache.
    `binaryCacheIsEnabled` - True if the binary cache is enabled for this repository.

### RepositoryConfig

    public RepositoryConfig(String name,
                            String className,
                            Properties properties,
                            String userName,
                            String password,
                            boolean readOnly,
                            int nodeCacheMaxEntries,
                            long nodeCacheTtl,
                            boolean nodeCacheIsEnabled,
                            int binaryCacheMaxEntries,
                            long binaryCacheMaxEntrySize,
                            long binaryCacheTtl,
                            boolean binaryCacheIsEnabled,
                            boolean searchIsEnabled)

  Constructs an instance using all attributes.

  Parameters
    `name` - The name of the repository configuration.
    `className` - The class name for the repository connection.
    `properties` - The properties for this configuration.
    `userName` - The username to use when connecting to this repository.
    `password` - The password to use when connecting to this repository.
    `readOnly` - True if this repository is read-only.
    `nodeCacheMaxEntries` - The maximum number of entries in the node cache for this repository.
    `nodeCacheTtl` - The time-to-live value for this repository's node cache.
    `nodeCacheIsEnabled` - True if the node cache is enabled for this repository.
    `binaryCacheMaxEntries` - The maximum number of entries in the binary cache for this repository.
    `binaryCacheMaxEntrySize` - The maximum size of a binary value in the binary cache for this repository.
    `binaryCacheTtl` - The time-to-live value for this repository's binary cache.
    `binaryCacheIsEnabled` - True if the binary cache is enabled for this repository.
    `searchIsEnabled` - True if search (metadata) is enabled for this repository.

### RepositoryConfig

    public RepositoryConfig(String name,
                            String className,
                            Properties properties,
                            String userName,
                            String password,
                            boolean readOnly,
                            int nodeCacheMaxEntries,
                            long nodeCacheTtl,
                            boolean nodeCacheIsEnabled,
                            int binaryCacheMaxEntries,
                            long binaryCacheMaxEntrySize,
                            long binaryCacheTtl,
                            boolean binaryCacheIsEnabled,
                            boolean searchIsEnabled,
                            boolean searchIndexingEnabled,
                            boolean fullTextSearchIsEnabled)

  Construct a repository config.

  Parameters
    `name` - The name of the repository configuration.
    `className` - The class name for the repository connection.
    `properties` - The properties for this configuration.
    `userName` - The username to use when connecting to this repository.
    `password` - The password to use when connecting to this repository.
    `readOnly` - True if this repository is read-only.
    `nodeCacheMaxEntries` - The maximum number of entries in the node cache for this repository.
    `nodeCacheTtl` - The time-to-live value for this repository's node cache.
    `nodeCacheIsEnabled` - True if the node cache is enabled for this repository.
    `binaryCacheMaxEntries` - The maximum number of entries in the binary cache for this repository.
    `binaryCacheMaxEntrySize` - The maximum size of a binary value in the binary cache for this repository.
    `binaryCacheTtl` - The time-to-live value for this repository's binary cache.
    `binaryCacheIsEnabled` - True if the binary cache is enabled for this repository.
    `searchIsEnabled` - True if search (metadata) is enabled for this repository.
    `searchIndexingEnabled` - True if search indexing (for full-text search) is enabled for this repository.
    `fullTextSearchIsEnabled` - True if full-text search is enabled for this repository.

Method Detail

### getSystemPropertyKeys

    public static List<String> getSystemPropertyKeys()

  Return the default unmodifiable list of system property keys

  Returns
    Map

### getName

    public String getName()

  The name of the Repository.

  Returns
    The name.

### getClassName

    public String getClassName()

  The class that implements com.bea.content.repostiory.Repository.

  Returns
    The class name.

### getProperties

    public Properties getProperties()

  Gets the configuration properties for the repository.

  Returns
    The properties.

### getUserName

    public String getUserName()

  Gets the username for the repository.

  Returns
    The user name.

### getPassword

    public String getPassword()

  Gets the password for the repository.

  Returns
    The password.

### getReadOnly

    public boolean getReadOnly()

  Gets the read-only attribute for the repository.

  Returns
    True if this repository is read-only, false otherwise.

### getNodeCacheMaxEntries

    public int getNodeCacheMaxEntries()

  Gets the max entries for the node cache of a repository.

  Returns
    The max entries for this repository's node cache.

### getNodeCacheTtl

    public long getNodeCacheTtl()

  Gets the time-to-live for entries in a node cache of a repository.

  Returns
    The time-to-live for this repository's node cache.

### getNodeCacheIsEnabled

    public boolean getNodeCacheIsEnabled()

  Gets the active state for the node cache of a repository.

  Returns
    True if the node cache for this repository is enabled.

### getTypeCacheMaxEntries

    public int getTypeCacheMaxEntries()

  Gets the max entries for the type cache of a repository.

  Returns
    The max entries in the type cache for this repository.

### getTypeCacheTtl

    public long getTypeCacheTtl()

  Gets the time-to-live for entries in a type cache of a repository.

  Returns
    The time-to-live for this repository's type cache.

### getTypeCacheIsEnabled

    public boolean getTypeCacheIsEnabled()

  Gets the active state for the type cache of a repository.

  Returns
    True if the type cache for this repository is enabled.

### getBinaryCacheMaxEntries

    public int getBinaryCacheMaxEntries()

  Gets the max entries for the binary cache of a repository.

  Returns
    The maximum number of entries for this repository's binary cache.

### getBinaryCacheMaxEntrySize

    public long getBinaryCacheMaxEntrySize()

  Gets the max size for the binary cache of a repository.

  Returns
    The maximum size (in bytes) for a binary in this repository's binary cache.

### getBinaryCacheTtl

    public long getBinaryCacheTtl()

  Gets the time-to-live for entries in a binary cache of a repository.

  Returns
    The time-to-live for entries in this repository's binary cache.

### getBinaryCacheIsEnabled

    public boolean getBinaryCacheIsEnabled()

  Gets the active state for the binary cache of a repository.

  Returns
    True if the binary cache is enabled for this repository.

### getSearchIsEnabled

    public boolean getSearchIsEnabled()

  Returns true if metadata searches are allowed for this repository. Searches may be performed through the API and anything built on the API including CM Tags, Content Selectors, and Content Queries.

  Returns
    True if metadata searches are allowed for this repository.

### getFulltextSearchIsEnabled

    public boolean getFulltextSearchIsEnabled()

  Returns true if fulltext searches are allowed for this repository. Searches may be performed through the API and anything built on the API including CM Tags, Content Selectors, and Content Queries.

  Returns
    true if fulltext searches are allowed for this repository.

### getSearchIndexingIsEnabled

    public boolean getSearchIndexingIsEnabled()

  Returns true if this repository will index items into its full text search index.

  Returns
    True if this repository will index items into its full text search index.

### getFulltextSearchIndexLanguageType

    public String getFulltextSearchIndexLanguageType()

  Retrieves the full-text search index language type, or null if it is not set.

  Returns
    The indexing language type set for this repository by the FULLTEXT_SEARCH_INDEX_LANGUAGE_TYPE_KEY property.

### getFulltextSearchQueryLanguageType

    public String getFulltextSearchQueryLanguageType()

  Retrieves the full-text search query language type, or null if it is not set.

  Returns
    The querying language type set for this repository by the FULLTEXT_SEARCH_QUERY_LANGUAGE_TYPE_KEY property.

### getFulltextSearchQueryAnyLanguage

    public Boolean getFulltextSearchQueryAnyLanguage()

  Retrieves the full-text-search query any lanuage setting, or null if it is not set.

  Returns
    The query any language type set for this repository by the FULLTEXT_SEARCH_QUERY_ANY_LANGUAGE_KEY property.

### isManaged

    public boolean isManaged()

  True if this repository is versionable, false otherwise.

  Returns
    true if this repository is versionable, false otherwise.

### isStreamable

    public boolean isStreamable()

  True if this repository has enabled streaming support for binary data.

  Returns
    true if this repository has enabled streaming support for binary data.

### setClassName

    public void setClassName(String className)

  Set the className of the repository.

  Parameters
    `className` - The class name

### setProperties

    public void setProperties(Properties properties)

  Sets the properties for the repository config

  Parameters
    `properties` - The properties to set.

### setUserName

    public void setUserName(String userName)

  Sets the user name

  Parameters
    `userName` - The username to set.

### setPassword

    public void setPassword(String password)

  Sets the password

  Parameters
    `password` - The password to set.

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Sets the readOnly attribute of the repository

  Parameters
    `readOnly` - The readOnly bit for this repository.

### setNodeCacheMaxEntries

    public void setNodeCacheMaxEntries(int nodeCacheMaxEntries)

  Sets the ndoe cache max entires for the repository

  Parameters
    `nodeCacheMaxEntries` - The maxinum cache entries for the node cache for this repository.

### setNodeCacheIsEnabled

    public void setNodeCacheIsEnabled(boolean nodeCacheIsEnabled)

  Sets whether or not the node cache is enabled for the repository

  Parameters
    `nodeCacheIsEnabled` - True if enabling the node cache, else false.

### setNodeCacheTtl

    public void setNodeCacheTtl(long nodeCacheTtl)

  Sets the node cache time to live for the repo

  Parameters
    `nodeCacheTtl` - The time-to-live value for entries in this repository's node cache.

### setBinaryCacheMaxEntries

    public void setBinaryCacheMaxEntries(int binaryCacheMaxEntries)

  Sets the binary cache max entries

  Parameters
    `binaryCacheMaxEntries` - The maximum number of entires in this repository's binary cache.

### setBinaryCacheMaxEntrySize

    public void setBinaryCacheMaxEntrySize(long binaryCacheMaxEntrySize)

  Sets the binary cache max entry size in bytes.

  Parameters
    `binaryCacheMaxEntrySize` - The maximum size of an entry for this repository's binary cache.

### setBinaryCacheTtl

    public void setBinaryCacheTtl(long binaryCacheTtl)

  Sets the binary cache time to live

  Parameters
    `binaryCacheTtl` - The time-to-live value for entries in this repository's binary cache.

### setBinaryCacheIsEnabled

    public void setBinaryCacheIsEnabled(boolean binaryCacheIsEnabled)

### setSearchIsEnabled

    public void setSearchIsEnabled(boolean searchIsEnabled)

  Sets whether or not this repository is metadata searchable via the search API.

  Parameters
    `searchIsEnabled` - True if metadata search is enabled for this repository.

### setFulltextSearchIsEnabled

    public void setFulltextSearchIsEnabled(boolean fulltextSearchIsEnabled)

  Sets whether or not this repository is fulltext searchable via the search API.

  Parameters
    `fulltextSearchIsEnabled` - True if fulltext search is enabled for this repository.

### setSearchIndexingIsEnabled

    public void setSearchIndexingIsEnabled(boolean searchIndexingIsEnabled)

  Sets whether or not this repository is indexing content into its full text search index.

  Parameters
    `searchIndexingIsEnabled` - True if fulltext search indexing is enabled for this repository.

### toString

    public String toString()

  Gets attributes as String.

  Overrides:
    `toString` in class `Object`

### clone

    public RepositoryConfig clone()
                           throws CloneNotSupportedException

  Clone this

  Overrides:
    `clone` in class `Object`
  Throws
    `CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved